#pragma once
#include "Entity.h"
#include "EntityState.h"
#include "EntityStateGravity.h"
#include "EntityStateResist.h"
#define CS_KAZUMAANI_CREATENAME L"CS_kazuma_animate"
//数马
class CS_KazumaAni :
    public Entity
{
public:
    CS_KazumaAni();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    //动画
    int stateID = 0;
    float animation_moveSpeed = 0x200 / ts;
    bool animation_delay = false;//走路动画延迟一帧（对齐到整格）
    int act_no = 0;
    int ani_wait = 0;
    int act_wait = 0;
    //状态模块
    EntityStateGravity stateGravity;
    EntityStateResist stateResist;
};

std::shared_ptr<Entity> CreateCS_KazumaAni();